Name:           ncview
Version:        2.1.1
Release:        %mkrel 2
Summary:        Graphic for netCDF data file 
License:        GPLv3
Group:          Sciences/Other
Source0:        ftp://cirrus.ucsd.edu/pub/ncview/%{name}-%{version}.tar.gz
Patch0:         %{name}-2.1-fix-ldflag-linking.patch
URL:            http://meteora.ucsd.edu/~pierce/ncview_home_page.html
BuildRequires:  netcdf-devel 
BuildRequires:	libnetpbm-devel
BuildRequires:  libx11-devel
BuildRequires:	libxaw-devel
BuildRequires:	libxt-devel
BuildRequires:	udunits2-devel
BuildRequires:	expat-devel
BuildRequires:	libpng-devel

%description
Ncview is a visual browser for netCDF format files.  Typically you
would use ncview to get a quick and easy, push-button look at your
netCDF files.  You can view simple movies of the data, view along
various dimensions, take a look at the actual data values, change
color maps, invert the data, etc.


%prep
%setup -qn %{name}-%{version}
%patch0 -p0

%build
autoreconf -fi -Im4macros
%configure2_5x \
    --with-udunits2_incdir=%{_includedir}/udunits2

%make

%install
%makeinstall_std

# Menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Icon=%{name}
Categories=Science;Education;
Name=%{name}
Comment=Graphic for netCDF data file
EOF

%files
%doc COPYING INSTALL README ChangeLog AUTHORS README_LOCAL RELEASE_NOTES README.*
%{_bindir}/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 360852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 kamil <kamil> 2.1.1-1.mga2
+ Revision: 199345
- new version 2.1.1
- rename patch to fix-ldflag-linking.patch
- update %%doc-file-list

* Sat Jan 21 2012 kamil <kamil> 2.1-3.mga2
+ Revision: 199337
- fix build
- rebuild against new udunits2-2.1.24
- clean .spec

* Mon Sep 19 2011 fwang <fwang> 2.1-2.mga2
+ Revision: 145353
- fix category
- rebuild for new libpng
- br png
- new version 2.1

* Thu Feb 24 2011 grenoya <grenoya> 2.0-0.beta4.1.mga1
+ Revision: 58993
- clean old Mdv syntax
- imported package ncview

